## org.apache.jasper.runtime
Class VariableMapperImpl

    java.lang.Object
      javax.el.VariableMapper
          org.apache.jasper.runtime.VariableMapperImpl

    public class VariableMapperImpl

extends VariableMapper

This is the implementation of VariableMapper. The compiler creates an empty variable mapper when an ELContext is created. The variable mapper will be updated by tag handlers, if necessary.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Kin-man Chung

Constructor Summary
`VariableMapperImpl()` Constructor

Method Summary
`ValueExpression` `resolveVariable(String variable)` Resolves the specified variable within the given context.
`ValueExpression` `setVariable(String variable, ValueExpression expression)` Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperImpl

    public VariableMapperImpl()

  Constructor

Method Detail

### resolveVariable

    public ValueExpression resolveVariable(String variable)

  Resolves the specified variable within the given context. Returns null if the variable is not found.

  Specified by:
    `resolveVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
  Returns:
    the ValueExpression assigned to the variable, null if there is no previous assignment to this variable.

### setVariable

    public ValueExpression setVariable(String variable,
                                       ValueExpression expression)

  Description copied from class: `VariableMapper`
  Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable. The assignment for the variable is removed if the expression is `null`.

  Specified by:
    `setVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
    `expression` - The ValueExpression to be assigned to the variable.
  Returns:
    The previous ValueExpression assigned to this variable, null if there is no previouse assignment to this variable.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.